- breadcrumb_title _("CI/CD")
- page_title _("CI/CD")
- add_page_specific_style 'page_bundles/settings'
- @force_desktop_expanded_sidebar = true

%section.settings.no-animate#js-ci-cd-variables{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    = render 'admin/application_settings/ci/header', expanded: expanded_by_default?
  .settings-content
    - if ci_variable_protected_by_default?
      %p.settings-message.text-center.gl-mb-0
        - help_link = link_to('', help_page_path('ci/variables/index', anchor: 'protect-a-cicd-variable', target: '_blank', rel: 'noopener noreferrer'))
        = safe_format(s_('Environment variables on this GitLab instance are configured to be %{help_link_start}protected%{help_link_end} by default.'), tag_pair(help_link, :help_link_start, :help_link_end))
    #js-instance-variables{ data: { endpoint: admin_ci_variables_path, maskable_regex: ci_variable_maskable_regex, protected_by_default: ci_variable_protected_by_default?.to_s} }

%section.settings.as-ci-cd.no-animate#js-ci-cd-settings{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
      = _('Continuous Integration and Deployment')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded_by_default? ? _('Collapse') : _('Expand')
    %p
      = _('Customize CI/CD settings, including Auto DevOps, shared runners, and job artifacts.')
  = render 'ci_cd'

= render_if_exists 'admin/application_settings/required_instance_ci_setting', expanded: expanded_by_default?

= render_if_exists 'admin/application_settings/package_registry', expanded: expanded_by_default?

- if Gitlab.config.registry.enabled
  %section.settings.as-registry.no-animate#js-registry-settings{ class: ('expanded' if expanded_by_default?) }
    .settings-header
      %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
        = _('Container Registry')
      = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
        = expanded_by_default? ? _('Collapse') : _('Expand')
      %p
        = _('Various container registry settings.')
    .settings-content
      = render 'registry'

%section.settings.as-runner.no-animate#js-runner-settings{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
      = s_('Runners|Runners')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded_by_default? ? 'Collapse' : 'Expand'
  .settings-content
    = render 'runner_registrars_form'
